/*
 * Copyright 2020-2025 Sony Corporation
 */

#include <stdio.h>
#include <command.h>
#include <debug_impl.h>
#include <wv_provision.h>

// add_widevine_provisioning_version
int add_widevine_provisioning_version_to_bootargs(cmd_tbl_t *cmdtp, int flag, int argc, char * const argv[])
{
	int ret = -1;

	ret = add_widevine_provisioning_version();
        if (ret != 0) {
                UBOOT_ERROR("failed to set widevine provisioning version to bootargs.\n");
                return CMD_RET_FAILURE;
        }
	return CMD_RET_SUCCESS;
}

U_BOOT_CMD(
	wv_version, CONFIG_SYS_MAXARGS, 1, add_widevine_provisioning_version_to_bootargs,
	"wv_version - do set widevine provision version to bootargs\n",
	NULL
);
